%define name	xbmc
%define branch_release	Eden
%define extra_feature	pvr
%define version	11.0
%define snap	0
%define pre	0
%define rel	1

%if %snap
%define branch	%branch_release.%extra_feature
%else
%define branch	%extra_feature
%endif

%define branchr	%([ "%branch" ] && echo .%branch | tr - _)

Summary:	XBMC Media Center - media player and home entertainment system
Name:		%{name}
Version:	%{version}
%if %snap
Release:	%mkrel 0.git%snap%branchr.%rel
Source:		%{name}-%branch_release-%snap.tar.xz
%else
%if %pre
Release:	%mkrel 0.%pre%branchr.%rel
Source:		%{name}-%{version}-%{branch_release}_%{pre}.tar.gz
%else
Release:	%mkrel 1.%branch.%rel
Source:		%{name}-%{version}.tar.gz
%endif
%endif
URL:		http://xbmc.org/

# bring snapshot up-to-date with pvr branch
# https://github.com/opdenkamp/xbmc
# git diff 14feb096bcea1e..opdenkamp/Eden-pvr
Patch0:		xbmc-Eden-pvr-rc1.1+20120324-g6a4c861.patch

# Disable updates of the default skin. Our one is the PVR version, while the
# one in the XBMC.org addon repository would be the vanilla one (Confluence
# is currently not in the addon repository, though, as of 2012-03).
Patch201:	xbmc-disable-confluence-update.patch

# Make the MythTV PVR client buildable (submitted upstream):
Patch211:	0001-fixed-undefined-symbols-in-MythTV-PVR-client.patch

# Hack to workaround upgrading from our old hack... see patch header for more
# details and an upstreaming plan.
Patch213:	0001-hack-workaround-for-old-incompatible-PVR-addon-datab.patch

# nosefart audio plugin and RSXS-0.9 based screensavers are GPLv2 only
# several eventclients are GPLv3+ (in subpackages)
# libhdhomerun is LGPLv3+ with an exception (always ok to link against it)
# the rest is GPLv2+
# both GPLv2+ and GPLv2 are mentioned because plugins are not part of core
# xbmc and therefore e.g. /usr/bin/xbmc is GPLv2+ with LGPLv3+ part
# as allowed by a license exception
License:	GPLv2+ and GPLv2 and (LGPLv3+ with exceptions)
Group:		Video
BuildRequires:	boost-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libmpeg2dec-devel
BuildRequires:	libogg-devel
BuildRequires:	libwavpack-devel
BuildRequires:	python-devel
BuildRequires:	glew-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	libmad-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libvorbis-devel
BuildRequires:	bzip2-devel
BuildRequires:	mysql-devel
BuildRequires:	liblzo2-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	fontconfig-devel
BuildRequires:	fribidi-devel
BuildRequires:	sqlite3-devel
BuildRequires:	libpng-devel
BuildRequires:	libpcre-devel
BuildRequires:	libcdio-devel
BuildRequires:	libmms-devel
BuildRequires:	freetype2-devel
BuildRequires:	libflac-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libjasper-devel
BuildRequires:	libtiff-devel
BuildRequires:	SDL_image-devel
BuildRequires:	libalsa-devel
BuildRequires:	enca-devel
BuildRequires:	libxt-devel
BuildRequires:	libxtst-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libcurl-devel
BuildRequires:	dbus-devel
BuildRequires:	hal-devel
BuildRequires:	SDL-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	avahi-common-devel
BuildRequires:	avahi-client-devel
BuildRequires:	libxrandr-devel
BuildRequires:	vdpau-devel
BuildRequires:	cwiid-devel
BuildRequires:	libice-devel
BuildRequires:	libx11-devel
BuildRequires:	crystalhd-devel
BuildRequires:	libmicrohttpd-devel
BuildRequires:	libmodplug-devel
BuildRequires:	ssh-devel
BuildRequires:	libva-devel
BuildRequires:	gettext-devel
BuildRequires:	expat-devel
BuildRequires:	libass-devel
BuildRequires:	rtmp-devel
BuildRequires:	bluray-devel
BuildRequires:	bluez-devel
BuildRequires:	udev-devel
BuildRequires:	yajl-devel
BuildRequires:	nfs-devel
BuildRequires:	afpclient-devel
BuildRequires:	libplist-devel
BuildRequires:	shairport-devel
BuildRequires:	cec-devel
BuildRequires:	cmake
BuildRequires:	gperf
BuildRequires:	zip
%ifarch %ix86
BuildRequires:	nasm
%endif
Requires:	lsb-release
# dlopened (existence check required by rpm5 as it doesn't use stderr):
%define dlopenreq() %([ -e %{_libdir}/lib%{1}.so ] && rpm -qf --qf '%%{name}' $(readlink -f %{_libdir}/lib%{1}.so) 2>/dev/null || echo %{name})
Requires:	%dlopenreq curl
Requires:	%dlopenreq FLAC
Requires:	%dlopenreq mad
Requires:	%dlopenreq ogg
Requires:	%dlopenreq vorbis
Requires:	%dlopenreq vorbisenc
Requires:	%dlopenreq vorbisfile
Requires:	%dlopenreq modplug
Requires:	%dlopenreq rtmp
Requires:	%dlopenreq mpeg2
Requires:	%dlopenreq ass
Requires:	%dlopenreq bluray
Requires:	%dlopenreq nfs
Requires:	%dlopenreq afpclient
Requires:	%dlopenreq plist
Requires:	%dlopenreq shairport
Requires:	%dlopenreq cec
# not nearly as common as the above, so just suggest instead for now:
Suggests:	%dlopenreq crystalhd
# TODO: FEH.py is useless nowadays, drop it here and upstream.
# for FEH.py, to check current configuration is ok for xbmc:
Requires:	xdpyinfo
Requires:	glxinfo
# for FEH.py to allow it to give an error message (should be available already
# on most systems):
Requires:	pygtk2
# for xbmc python scripts:
Requires:	python-imaging
# Packages not shipped in core:
Suggests:	%{_lib}lame0
Suggests:	%{_lib}dvdcss2

# Packages have been merged
Obsoletes:	xbmc-core < 9.11-1.svn29468
Obsoletes:	xbmc-skin-confluence < 9.11-1.svn29468
Obsoletes:	xbmc-skin-pm3-hd < 9.11-1.svn29468
Obsoletes:	xbmc-nosefart < 9.11-1.svn29468
Obsoletes:	xbmc-screensavers-default < 9.11-1.svn29468
Obsoletes:	xbmc-script-examples < 9.11-1.svn27796
Obsoletes:	xbmc-web-pm3 < 9.11-1.svn27796

%description
XBMC is an award-winning free and open source software media player
and entertainment hub for digital media.

While XBMC functions very well as a standard media player application
for your computer, it has been designed to be the perfect companion
for your HTPC. Supporting an almost endless range of remote controls,
and combined with its beautiful interface and powerful skinning
engine, XBMC feels very natural to use from the couch and is the
ideal solution for your home theater.

This is the stable version of XBMC from the %branch_release release branch,
with PVR support added from opdenkamp %branch_release-pvr branch. Support for
RAR files is not included due to license issues.

%package	eventclients-common
Summary:	Common files for XBMC eventclients
Group:		Video
License:	GPLv2+
%py_requires

%description	eventclients-common
XBMC is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains common files for eventclients.

%package	eventclients-devel
Summary:	Development files for XBMC eventclients
Group:		Development/C
License:	GPLv2+

%description	eventclients-devel
XBMC is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains files needed to build eventclients.

%package	eventclient-wiiremote
Summary:	Wii Remote eventclient for XBMC
Group:		Video
License:	GPLv3+
Requires:	%{name}-eventclients-common = %{version}-%{release}

%description	eventclient-wiiremote
XBMC is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the Wii Remote eventclient.

%package	eventclient-j2me
Summary:	J2ME eventclient for XBMC
Group:		Video
License:	GPLv2+
Requires:	python-pybluez
Requires:	%{name}-eventclients-common = %{version}-%{release}

%description	eventclient-j2me
XBMC is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the J2ME eventclient, providing a bluetooth
server that can communicate with a mobile tool supporting J2ME.

%package	eventclient-ps3
Summary:	PS3 eventclients for XBMC
Group:		Video
License:	GPLv2+
Requires:	python-pybluez
Requires:	%{name}-eventclients-common = %{version}-%{release}
# requires via zeroconf.py, only used by xbmc-ps3d:
Requires:	python-gobject avahi-python python-dbus
# TODO merge all these?, and TODO zeroconf.py to a correct package? :)
Obsoletes:	eventclient-ps3remote < 9.11-1.svn31936

%description	eventclient-ps3
XBMC is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the PS3 remote and sixaxis eventclients.

%package	eventclient-xbmc-send
Summary:	PS3 eventclient for XBMC
Group:		Video
License:	GPLv2+
Requires:	%{name}-eventclients-common = %{version}-%{release}

%description	eventclient-xbmc-send
XBMC is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the xbmc-send eventclient.

%prep
%if %snap
%setup -q -n %name-%branch_release-%snap
%else
%if %pre
%setup -q -n %{name}-%{version}-%{branch_release}_%{pre}
%else
%setup -q
%endif
%endif
%apply_patches
# otherwise backups end up in binary rpms
find -type f \( -name '*.00??' -o -name '*.00??~' \) -print -delete

# remove prebuilt libraries
find -type f \( -iname '*.so' -o -iname '*.dll' -o -iname '*.exe' \) -delete

# GPLv2 only
rm -r lib/cmyth/Win32/include/mysql
# BSD 4-clause
rm -r xbmc/cores/DllLoader/exports/emu_socket

# win32 only
rm -rf system/players/dvdplayer/etc/fonts

%build
%if %snap
export GIT_REV=%snap
%else
export GIT_REV="tarball"
%endif
./bootstrap

# due to xbmc modules that use symbols from xbmc binary
# and are not using libtool
%define _disable_ld_no_undefined 1

# Workaround configure using git to override GIT_REV (TODO: fix it properly)
export ac_cv_prog_HAVE_GIT="no"

%configure2_5x \
	--disable-debug \
	--disable-ccache \
	--enable-external-libraries \
	--disable-non-free \
	--disable-dvdcss \
	--enable-goom \
	--with-lirc-device=/var/run/lirc/lircd

# non-free = unrar
# dvdcss is handled via dlopen when disabled

%make
%make -C tools/EventClients wiimote

%install
%__rm -rf %{buildroot}
%makeinstall_std
%makeinstall_std -C tools/EventClients

# unused
rm %{buildroot}%{_datadir}/xsessions/XBMC.desktop
# our version of the above:
install -d -m755 %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/15XBMC <<EOF
NAME=XBMC
ICON=xbmc.png
DESC=XBMC Media Center
EXEC=%{_bindir}/xbmc-standalone
SCRIPT:
exec %{_bindir}/xbmc-standalone
EOF

# unused files, TODO fix this upstream:
find %{buildroot}%{_datadir}/xbmc/addons/skin.*/media -name '*.png' -delete

( # for IFS and +x
# Check for issues in ELF binaries
undefined=
fhserr=
echo Silencing output of undefined symbol and FHS conformance checks
set +x
IFS=$'\n'
for file in $(find %{buildroot} -type f); do
	type="$(file "$file")"
	echo "$type" | grep -q "ELF" || continue

	# Check that a binary file is not in datadir:
	echo "$file" | grep -q "%{_datadir}" && fhserr="${fhserr}$file\n"

	# check for undefined symbols in XBMC modules
	echo "$type" | grep -q "shared object" || continue
	for symbol in $(LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{buildroot}%{_libdir} ldd -r "$file" 2>&1 | grep undefined | awk '{ print $3 }'); do
		# undefined symbols may also be provided by XBMC:
		nm -f posix -D --no-demangle --defined-only %{buildroot}%{_libdir}/xbmc/xbmc.bin | grep -q "^$symbol " && continue
		# The symbol was not provided by XBMC.
		# Check if it is available through its dependencies:
		for filename in $(objdump -p %{buildroot}%{_libdir}/xbmc/xbmc.bin | grep NEEDED | awk '{ print $2 }'); do
			depfile="/%{_lib}/$filename"
			[ -e "$depfile" ] || depfile="%{_libdir}/$filename"
			nm -f posix -D --no-demangle --defined-only $depfile | grep -q "^$symbol " && continue 2
		done
		# Euphoria references rsxs PNG class, but it is never used at runtime,
		# so it results in no errors due to RTLD_LAZY being used by xbmc module loader.
		case $file:$symbol in */Euphoria.xbs:_ZN3PNG*) continue; esac
		# the symbol was not found
		undefined="${undefined}$file: $symbol\n"
	done
done
ok=1
[ -n "$undefined" ] && echo -e "$undefined" && echo "Undefined symbols!" && ok=
[ -n "$fhserr" ] && echo -e "$fhserr" && echo "Binaries in datadir!" && ok=
[ -n "$ok" ]
)

%clean
%__rm -rf %{buildroot}

%files
%doc %{_docdir}/xbmc
%{_sysconfdir}/X11/wmsession.d/15XBMC
%{_bindir}/xbmc
%{_bindir}/xbmc-standalone
%dir %{_libdir}/xbmc
%dir %{_libdir}/xbmc/addons
%dir %{_libdir}/xbmc/system
%dir %{_libdir}/xbmc/system/players
%dir %{_libdir}/xbmc/system/players/dvdplayer
%dir %{_libdir}/xbmc/system/players/paplayer
%{_libdir}/xbmc/xbmc.bin
%{_libdir}/xbmc/xbmc-xrandr
%dir %{_libdir}/xbmc/addons/*
%{_libdir}/xbmc/addons/*/*.so
%{_libdir}/xbmc/addons/*/*.pvr
%{_libdir}/xbmc/addons/*/*.vis
%{_libdir}/xbmc/addons/*/*.xbs
%{_libdir}/xbmc/system/ImageLib-*-linux.so
%{_libdir}/xbmc/system/hdhomerun-*-linux.so
%{_libdir}/xbmc/system/libcmyth-*-linux.so
%{_libdir}/xbmc/system/libcpluff-*-linux.so
%{_libdir}/xbmc/system/libexif-*-linux.so
%{_libdir}/xbmc/system/libid3tag-*-linux.so
%{_libdir}/xbmc/system/players/dvdplayer/libdvdnav-*-linux.so
%{_libdir}/xbmc/system/players/paplayer/adpcm-*-linux.so
%{_libdir}/xbmc/system/players/paplayer/libsidplay2-*-linux.so
%{_libdir}/xbmc/system/players/paplayer/nosefart-*-linux.so
%{_libdir}/xbmc/system/players/paplayer/stsoundlibrary-*-linux.so
%{_libdir}/xbmc/system/players/paplayer/timidity-*-linux.so
%{_libdir}/xbmc/system/players/paplayer/vgmstream-*-linux.so
%ifarch %ix86
%{_libdir}/xbmc/system/players/paplayer/SNESAPU-*-linux.so
%endif
%dir %{_datadir}/xbmc
%{_datadir}/xbmc/addons
%{_datadir}/xbmc/FEH.py
%{_datadir}/xbmc/language
%{_datadir}/xbmc/media
%{_datadir}/xbmc/sounds
%{_datadir}/xbmc/system
%{_datadir}/xbmc/userdata
%{_datadir}/applications/xbmc.desktop
%{_iconsdir}/hicolor/*/apps/xbmc.png

%files eventclients-common
%python_sitelib/xbmc
%dir %{_datadir}/pixmaps/xbmc
%{_datadir}/pixmaps/xbmc/*.png

%files eventclients-devel
%dir %{_includedir}/xbmc
%{_includedir}/xbmc/xbmcclient.h

%files eventclient-j2me
%{_bindir}/xbmc-j2meremote

%files eventclient-ps3
%{_bindir}/xbmc-ps3d
%{_bindir}/xbmc-ps3remote

%files eventclient-xbmc-send
%{_bindir}/xbmc-send

%files eventclient-wiiremote
%{_bindir}/xbmc-wiiremote



%changelog
* Mon Mar 26 2012 Andrey Bondrov <abondrov@mandriva.org> 11.0-1.pvr.1mdv2012.0
+ Revision: 786939
- New version 11.0, sync spec and patches with Mageia

  + Oden Eriksson <oeriksson@mandriva.com>
    - relink against libpcre.so.1

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for new libcdio

  + Anssi Hannula <anssi@mandriva.org>
    - fix build with gcc 4.6 (patch from upstream)
    - fix reported version
    - new version 10.1
    - drop allow-ppp.patch, fixed upstream
    - rediff pvr patch

* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 10.0-1.pvr.4
+ Revision: 645900
- relink against libmysqlclient.so.18

* Fri Jan 28 2011 Anssi Hannula <anssi@mandriva.org> 10.0-1.pvr.3
+ Revision: 633676
- fix handling of whitespace in paths in cooker
- clarify a build-time message
- fix build with rpm5 (it doesn't use stderr for an error message)
- allow non-ethernet-encapsulated network connections (e.g. 3G/dial-up,
  allow-ppp.patch)
- fix timing of frame-based subtitles with mkv files with libavformat of
  MDV 2010.1 and earlier (old-libavformat-mkv-subs.patch, reported by
  Mikko Kuivaniemi)

* Sun Dec 26 2010 Funda Wang <fwang@mandriva.org> 10.0-1.pvr.2mdv2011.0
+ Revision: 625205
- rebuild for new libmicrohttpd

  + Anssi Hannula <anssi@mandriva.org>
    - build with debug mode disabled by default
      o to re-enable debug log, use the --debug command line option
        or the GUI setting
    - fix mdkversion check for 2010.2

* Sat Dec 18 2010 Anssi Hannula <anssi@mandriva.org> 10.0-1.pvr.1mdv2011.0
+ Revision: 622892
- 10.0 Dharma final release
- switch to opdenkamp's pvr patches
- drop patches that are already applied in opdenkamp's patch
- rediff patches

* Fri Dec 03 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35571.dharma.pvr.1mdv2011.0
+ Revision: 605793
- new snapshot from Dharma branch

* Wed Nov 17 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35305.dharma.pvr.1mdv2011.0
+ Revision: 598419
- new snapshot from Dharma branch
- switch to bundled python on all Mandriva versions as there are
  currently compatibility issues with various python addons when
  system python is used
- turn off the NVIDIA+SDL+pulse issue workaround for the new releases
  of NVIDIA proprietary driver where the issue is fixed
- fix security issues in bundled python (CVE-2007-2052, CVE-2007-4965,
  CVE-2008-1679, CVE-2008-1721, CVE-2008-1887, CVE-2008-2315,
  CVE-2008-3142, CVE-2008-3144, CVE-2008-4864, CVE-2008-5031,
  CVE-2009-2625, CVE-2010-1634, CVE-2010-2089, CVE-2010-3492,
  CVE-2010-3493)

* Thu Nov 04 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35159.dharma.pvr.1mdv2011.0
+ Revision: 593051
- new snapshot from Dharma branch
- add support for building with bundled python, and use that on cooker
  (using Python 2.7 would cause issues with xbmc addons due to
   non-overridden calls to getcwd and chdir)
- add a note in crashlog indicating gdb not being installed if that is
  the case (backport from upstream master)
- fix 64-bit issues of wiiremote eventclient (backport from upstream
  master)
- add workaround for crash issues with NVIDIA 260.x series drivers
  (http://www.nvnews.net/vbulletin/showthread.php?t=156665)
- fix several pvr binaries to be built with LDFLAGS
- add explicit buildrequires on bluez-devel
- rebuild eventclients for python 2.7
- shorten release string by simplifying 'pvr-testing2' to 'pvr'
- make license tag more specific

* Wed Oct 27 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35025.dharma.pvr_testing2.2mdv2011.0
+ Revision: 589612
- rebuild due to buildsystem issues

* Tue Oct 26 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35025.dharma.pvr_testing2.1mdv2011.0
+ Revision: 589549
- new 10.0 snapshot
- make sure the PVR Confluence skin is not replaced with vanilla
  version in the case of a hypothetical addon update

* Sat Oct 09 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn34597.dharma.pvr_testing2.1mdv2011.0
+ Revision: 584442
- new snapshot from 10.0 Dharma branch

* Wed Sep 22 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn33938.dharma.pvr_testing2.3mdv2011.0
+ Revision: 580589
- rebuild for new libmodplug
- silence extra messages from stderr when creating src.rpm

* Sat Sep 18 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn33938.dharma.pvr_testing2.2mdv2011.0
+ Revision: 579483
- new snapshot from Dharma branch
- rediff pvr-testing2 backport patch
- update VDPAU backport patchset
- build with libbluray support
- fix wrong soname in libcrystalhd suggestion
- fix missing dependency on librtmp
- add dependencies on python modules that can be used by xbmc scripts
- remove some unused installed files

* Tue Aug 17 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn32705.dharma.pvr_testing2.2mdv2011.0
+ Revision: 571041
- fix crash if PVR is enabled but unable to connect at startup
- disable VA-API on 2010.1 and older (no support in ffmpeg)

* Wed Aug 11 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn32705.dharma.pvr_testing2.1mdv2011.0
+ Revision: 569134
- new snapshot from Dharma release branch
- add PVR support backported from pvr-testing2 branch
- add VDPAU patchset making advanced deinterlacers actually work
- remove xbmc-fix-snesapu.patch, applied upstream
- build with rtmp support via librtmp
- add PS3 sixaxis eventclient, renaming xbmc-eventclient-ps3remote to
  xbmc-eventclient-ps3

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 9.11-1.svn31746.3mdv2011.0
+ Revision: 561893
- rebuild for microhttpd

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 9.11-1.svn31746.2mdv2011.0
+ Revision: 561098
- rebuild for new microhttpd

* Wed Jul 14 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn31746.1mdv2011.0
+ Revision: 552999
- fix snesapu module build on ix86 (fix-snesapu.patch)
- new snapshot
- switch to trunk, as pvr-testing2 is not up-to-date
- build with external libass
- merge everything except eventclients to the main package (note that
  e.g. pm3-hd skin is now available via OSD addons menu, not in an
  rpm subpackage)
- remove patches for issues fixed upstream: fhs-hack.patch,
  versionize-avcodec-ac3-workaround.patch,
  old-avcodec-without-h264profile-export.patch,
  projectm-fpic.patch, python-unicode-2byte.patch
- remove now unneeded patches: fix-undefined-symbols.patch,
  addons-fhs-hack.patch
- remove now unneeded hunks from hack-ext-libs patch
- remove lots of hacks for issues fixed upstream
- fix LIRC support
- allow undefined symbols in submodules if they are satisfied by main
  binary

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 9.11-1.svn29467.pvr_testing2.2mdv2011.0
+ Revision: 550732
- rebuild for new libmodplug

* Sun Apr 25 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn29467.pvr_testing2.1mdv2010.1
+ Revision: 538787
- fix soname discovery workaround
- versionize upstream avcodec ac3 workaround, now fixed in libavcodec
  (versionize-avcodec-ac3-workaround.patch)
- new snapshot
- add buildrequires on ssh-devel, libva-devel, gettext-devel, expat-devel
- re-enable parallel make
- re-enable now-existing mediaportal linux client
- adapt filelists for addon changes
- fix projectm build (projectm-fpic.patch)
- fix build with old avcodec (old-avcodec-without-h264profile-export.patch)
- update addons-fhs-hack.patch, underlinking.patch, undefined-symbols.patch
- remove patches applied upstream: xbmc-glxvisuals.patch,
  python-module-no-as-needed.patch, fix-glib2.23.4.patch,
  goom-strfmt.patch, fix-save-settings.patch
- remove patches for issues fixed upstream: default-addons.patch,
  stsound-fix-missing-files.patch, xbmc-addon-httpapi.patch,
  merge-actions.patch
- remove now unneeded patches: addon-sonames.patch

* Fri Mar 12 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn28014.pvr_testing2.3mdv2010.1
+ Revision: 518586
- fix build with glib2 2.23.4+ (workaround use of 'byte' as a parameter
  name in gvariant.h)
- remove trailing whitespace from .spec
- new snapshot (pvr-testing2 r2800 + trunk r28014)
- drop xbmc-weather.zip, added upstream
- move addon binaries to libdir as well (addons-fhs-hack.patch)
- fix sonames of newly introduced addon helper shared libs
  (addon-sonames.patch)
- fix underlinking of VDR client (pvr-testing2-underlinking.patch)
- fix build by disabling unused code in addon api (addon-httpapi.patch)
- rediff hack-ext-libs-with-int-headers.patch and xbmc-fhs-hack.patch
- remove xbmc-timidity-format-strings.patch, applied upstream
- load bundled addons (except for PVR clients) by default as before
  (default-addons.patch)
- enable goom visualization addon
- fix format strings in goom (goom-strfmt.patch)
- update xbmc-fix-undefined-symbols.patch for goom
- fix saving of addon settings (fix-save-settings.patch)
- improve OpenGL visual selection algorithm (glxvisuals.patch)
- migrate pvr-testing2 to use CAction as in trunk (merge-actions.patch)
- renumber patches and categorize them
- update buildrequires for upstream changes (added libmicrohttpd-devel,
  libmodplug-devel, zip)
- remove xbmc-web-pm3 subpackage as it has been removed upstream (simple
  json interface is not included in main package)
- remove xbmc-script-examples as it has been removed upstream
- add devel subpackage for building addons
- update .spec comments
- remove now unneeded steps from .spec
- re-enable parallel build
- remove mediaportal client completely as the binary is not built on
  linux yet
- show both undefined symbols and FHS errors in case both kind of errors
  are detected in install stage
- add a comment regarding probably unused fontconfig files in datadir

* Sun Jan 31 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn27303.pvr_testing2.1mdv2010.1
+ Revision: 498857
- new snapshot (r27303 of pvr-testing2)
- remove patches applied upstream (gpl-compat.patch, fix-crash.patch,
  format-strings.patch, fix-trunk-merge.patch)
- build with crystalhd support
- fix python2.6 syntax errors in spyce (spyce.diff from rpmfusion)
- re-enable FEH.py and therefore add requires on glxinfo, xdpyinfo, pygtk2
- fix coding style in timidity-format-strings.patch
- rediff hack-ext-libs-with-int-headers.patch
- add information about disabled features into descriptions

* Sun Jan 17 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn26907.pvr_testing2.1mdv2010.1
+ Revision: 492845
- initial Mandriva release

